logo
Apache Lounge
Webmasters

 


About

Forum Index Downloads Search Register Log in  RSS Apache Lounge
 



Keep Server Online

If you find the Apache Lounge, the downloads and overall help useful, please express your satisfaction with a donation.

or

Bitcoin

A donation makes a contribution towards the costs, the time and effort that's going in this site and building.

Thank You! Steffen

Apache Lounge is not sponsored.

Your donations will help to keep this site alive and well, and continuing building binaries.



Apache 2.2 + PHP 5.1.2 - two questions...

 
Post new topic   Reply to topic    Apache Forum Index -> Apache



View previous topic :: View next topic  
Author Message
underxp



Joined: 16 Jan 2006
Posts: 34

PostPosted: Wed 18 Jan '06 1:04    Post subject: Apache 2.2 + PHP 5.1.2 - two questions... Reply with quote

Hello Steffen, thanks for bring me the link to download apache 2.2. I download it, download php 5.1.2 and the php 5.1.2 handler for apache 2.2. I configure these with firebird support and all is perfect !!!! but... I have two questions for you:

1) I have the file msvcr80.dll 3 times (apache\bin, apache\modules and php\). Can I install msvcr80.dll in windows\system32 and delete it from the three folders ?

2) phpinfo () show the wrong version for php (5.1RC1). Is this correct ? Apache report php version 5.1.2 in version string and /server-info. Is a problem with your handler or it's a problem in my machine ? I have Apache 2.0.54 + php 5.1rc1 installed in disk d: and apache 2.2+ php 5.1.2 in disk c:

Thanks in advance, and sorry for my bad english please.....
Back to top
Steffen
Moderator


Joined: 15 Oct 2005
Posts: 2581
Location: Hilversum, NL, EU

PostPosted: Wed 18 Jan '06 12:17    Post subject: Reply with quote

Hi,

1: Nope, on most windows systems that does not work. I distribute the binaries by follwing the instructions from microsoft, see http://msdn2.microsoft.com/en-us/library/ms235285.aspx

What you can try:

download the .NET Framework 2.0 with Windows Update

or

if you do not want to install the .NET Framework,

download and run http://www.apachelounge.com/download/vcredist_x86.exe

2: here it shows correct, maybe you mixed up the two versions on disk d: and c:. Be sure that Apache 2.2 loads the correct version 5.1.2.


Steffen
Back to top
pnllan



Joined: 05 Dec 2005
Posts: 221

PostPosted: Thu 19 Jan '06 9:48    Post subject: Reply with quote

The likely reason for the version mix up in the PHPINFO is because you have php5ts.dll from 5.0.1RC1 placed in your PATH in such a way that it is first one being read.

Remember: PATH listing is also priority as well. Meaning, if folderA is listed in the PATH before folderB, then the resources from folderA will be used if present - folderB resource will ONLY be used if requested resource is not present in folderA.

Since the file php5ts.dll has the same name in both versions...I do not see you being able to get the correct version reported via PHPINFO from one of the of the setups - which seems to me would be dictated by which is listed in the PATH first.

Maybe my head isn't screwed on correctly right now, but that's the way it seems to me.

Hope there was a helpful nugget in there somewhere.
.
Back to top
underxp



Joined: 16 Jan 2006
Posts: 34

PostPosted: Thu 19 Jan '06 23:31    Post subject: Reply with quote

Well, I'll check the path at home (this night) and post the results. thanks for yours replies
Back to top


Post new topic   Reply to topic    Apache Forum Index -> Apache
Page 1 of 1